Page MenuHomePhabricator

rhg: print error message when argument parsing fails
ClosedPublic

Authored by acezar on Aug 26 2020, 9:23 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Aug 26 2020, 9:23 AM
marmoute accepted this revision.Aug 26 2020, 3:24 PM
marmoute added a subscriber: marmoute.

Seems better.

Alphare added inline comments.
rust/rhg/src/ui.rs
52

Why does this return a Result?

acezar marked an inline comment as done.Aug 31 2020, 11:04 AM
acezar updated this revision to Diff 22495.
Alphare accepted this revision.Sep 6 2020, 3:52 AM
pulkit accepted this revision.Sep 11 2020, 5:05 AM
This revision is now accepted and ready to land.Sep 11 2020, 5:05 AM
This revision was automatically updated to reflect the committed changes.